Skip to main content
POST
/
v1
/
tasks
/
run
Start New Task
curl --request POST \
  --url https://api.mindfort.app/v1/tasks/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "<string>",
  "target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.mindfort.app/v1/tasks/run"

payload = {
"message": "<string>",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', target_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://api.mindfort.app/v1/tasks/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.mindfort.app/v1/tasks/run"

payload := strings.NewReader("{\n \"message\": \"<string>\",\n \"target_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "task_id": "<string>",
  "status": "<string>"
}
{
"task_id": "<string>",
"status": "<string>"
}
{
"task_id": "<string>",
"status": "<string>"
}
{
"error": "<string>",
"request_id": "<string>"
}
{
"error": "<string>",
"request_id": "<string>"
}
{
"error": "<string>",
"request_id": "<string>"
}
{
"error": "<string>",
"request_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.

Body

application/json
message
string
required

Natural-language instruction describing the security task to perform

target_id
string<uuid>
required

UUID of the target to run the task against

target_credential_id
string<uuid>

UUID of stored credentials to use for authenticated testing

task_model
enum<string>
default:MF1_FAST

Model to use for the task. MF1_FAST is optimized for speed, MF1_SMART for depth.

Available options:
MF1_FAST,
MF1_SMART

Response

Task started successfully

task_id
string

Scoped task ID in the form org_id::task_uuid

status
string

Current status of the task